package com.eactive.eai.rms.onl.vo;

import java.util.Map;

public class LogConfigurationCommand extends MonitorDataVo {

    private static final long serialVersionUID = 1L;

    public static final short VIEW_COMMAND = 1;
    public static final short EDIT_COMMAND = 2;
    public static final short DETAIL_COMMAND = 3;
    public static final short NEW_LOGGER_COMMAND = 4;
    public static final short PROCESS_OK_COMMAND = 5;

    private int command;

    private Map<String, Integer> categoryMap;

    private String logCategory;
    private String[] logCategorys;
    private String[] logCategoryLevels;
    private String[] logDetailCategorys;
    private String[] logDetailCategoryLevels;

    private String foreceLevel;
    private String forceDetailLevel;

    private String messageKey;

    public int getCommand() {
        return command;
    }

    public void setCommand(int command) {
        this.command = command;
    }

    public Map<String, Integer> getCategoryMap() {
        return categoryMap;
    }

    public void setCategoryMap(Map<String, Integer> categoryMap) {
        this.categoryMap = categoryMap;
    }

    public String getLogCategory() {
        return logCategory;
    }

    public void setLogCategory(String logCategory) {
        this.logCategory = logCategory;
    }

    public String[] getLogCategorys() {
        return logCategorys;
    }

    public void setLogCategorys(String[] logCategorys) {
        this.logCategorys = logCategorys;
    }

    public String[] getLogCategoryLevels() {
        return logCategoryLevels;
    }

    public void setLogCategoryLevels(String[] logCategoryLevels) {
        this.logCategoryLevels = logCategoryLevels;
    }

    public String[] getLogDetailCategorys() {
        return logDetailCategorys;
    }

    public void setLogDetailCategorys(String[] logDetailCategorys) {
        this.logDetailCategorys = logDetailCategorys;
    }

    public String[] getLogDetailCategoryLevels() {
        return logDetailCategoryLevels;
    }

    public void setLogDetailCategoryLevels(String[] logDetailCategoryLevels) {
        this.logDetailCategoryLevels = logDetailCategoryLevels;
    }

    public String getForeceLevel() {
        return foreceLevel;
    }

    public void setForeceLevel(String foreceLevel) {
        this.foreceLevel = foreceLevel;
    }

    public String getForceDetailLevel() {
        return forceDetailLevel;
    }

    public void setForceDetailLevel(String forceDetailLevel) {
        this.forceDetailLevel = forceDetailLevel;
    }

    public String getMessageKey() {
        return messageKey;
    }

    public void setMessageKey(String messageKey) {
        this.messageKey = messageKey;
    }

}
